createVpc

Prev Next

Available in VPC

Create a VPC environment by specifying the IPv4 CIDR.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/createVpc
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to create a VPC
vpcName String Optional VPC name
  • Granted automatically by NAVER Cloud Platform (default).
  • Enter 3-30 characters, including letters, numbers, and special character "-".
  • The string must begin with an English letter and end with an English letter or number.
ipv4CidrBlock String Required VPC's private IPv4 address range
  • Within 10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16 between /16-/28
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createVpc
?regionCode=KR
&vpcName=test-***
&ipv4CidrBlock=***.***.0.0/16' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See VpcList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<createVpcResponse>
  <requestId>21a29c59-3139-4c23-9f92-10c1fddafef6</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <vpcList>
    <vpc>
      <vpcNo>***04</vpcNo>
      <vpcName>test-***</vpcName>
      <ipv4CidrBlock>***.***.0.0/16</ipv4CidrBlock>
      <vpcStatus>
        <code>INIT</code>
        <codeName>init</codeName>
      </vpcStatus>
      <regionCode>KR</regionCode>
      <createDate>2020-07-27T17:17:05+0900</createDate>
    </vpc>
  </vpcList>
</createVpcResponse>